aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/windows-container/travisbuild.sh
diff options
context:
space:
mode:
authorGravatar Dirk Hohndel <dirk@hohndel.org>2018-10-06 10:11:15 +0200
committerGravatar Dirk Hohndel <dirk@hohndel.org>2018-10-07 14:00:45 -0700
commit450f654063cbbffe7b58e0b785ef8970a0be41ea (patch)
tree5295dbd03a6fb7faee6759b3e9ec288063b0b4de /scripts/windows-container/travisbuild.sh
parent6b9e77ba01472070dd1ac9b87c9dcb068c49b852 (diff)
downloadsubsurface-450f654063cbbffe7b58e0b785ef8970a0be41ea.tar.gz
Travis: add Windows build in a container
I expect this to become the default way to test Windows builds and create installers on Travis. The idea is that instead of downloading the pre-built MXE binaries we might as well use a container that has all this installed and can be used locally to test if things fail on Travis; which will allow us to have the exact same environment for testing locally as runs on Travis. At this point the container used is way too big - more effort needs to be spent on shrinking it. Right now this only deals with Subsurface and not with smtk2ssrf. Signed-off-by: Dirk Hohndel <dirk@hohndel.org>
Diffstat (limited to 'scripts/windows-container/travisbuild.sh')
-rw-r--r--scripts/windows-container/travisbuild.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/scripts/windows-container/travisbuild.sh b/scripts/windows-container/travisbuild.sh
new file mode 100644
index 000000000..50f9df42b
--- /dev/null
+++ b/scripts/windows-container/travisbuild.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+# this is run to actually trigger the creation of the Windows installer
+# inside the container
+
+set -x
+set -e
+
+docker exec -t builder bash subsurface/scripts/windows-container/in-container-build.sh 2>&1 | tee build.log
+
+# fail the build if we didn't create the target binary
+grep "Built target installer" build.log
+